# getInvoice

### Arguments

| Argument                                               | Description |
| ------------------------------------------------------ | ----------- |
| token ([ID](/graphql-api/api-reference/objects/id.md)) |             |
| id ([ID](/graphql-api/api-reference/objects/id.md))    |             |

### Return fields

#### city ([String](/graphql-api/api-reference/objects/string.md))

The customer's city or town stored on the invoice.

#### collectionCase ([CollectionCase](/graphql-api/api-reference/objects/collection-case.md))

The collection case this invoice is part of.

#### companyName ([String](/graphql-api/api-reference/objects/string.md))

The customer's company name stored on the invoice.

#### country ([String](/graphql-api/api-reference/objects/string.md))

The billing country code (ISO 3116) stored on the invoice.

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

When the invoice record was first created.

#### currency ([String](/graphql-api/api-reference/objects/string.md))

Currency used for this invoice

#### description ([String](/graphql-api/api-reference/objects/string.md))

The description of the invoice.

#### detailsUrl ([String](/graphql-api/api-reference/objects/string.md)!)

URL to view invoice details, PDF download, and manual payment link.

#### externalUrl ([String](/graphql-api/api-reference/objects/string.md))

An external invoice URL that replaces the default invoice

#### fullAddress ([String](/graphql-api/api-reference/objects/string.md))

The customer's full address by combining address and house number stored on the invoice.

#### fullName ([String](/graphql-api/api-reference/objects/string.md))

The customer's full name stored on the invoice.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID of this invoice.

#### invoiceLineItems (\[[InvoiceLineItem](/graphql-api/api-reference/objects/invoice-line-item.md)!])

The line items of this invoice.

#### invoiceNumber ([String](/graphql-api/api-reference/objects/string.md)!)

The formatted (legal) invoice number.

#### invoiceReminders (\[[InvoiceReminder](/graphql-api/api-reference/objects/invoice-reminder.md)!])

The reminders for this invoice.

#### invoiceStatus ([InvoiceStatusEnum](/graphql-api/api-reference/objects/invoice-status-enum.md)!)

The payment status of the invoice.

#### invoicedAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

When the invoice was formally invoiced.

#### nextInstalmentChargeDate ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))

The next instalment charge date for this invoice. Is empty if the last instalment of the invoice has already been charged or the invoice is being paid in 1 instalment.

#### originalInvoice ([Invoice](/graphql-api/api-reference/objects/invoice.md))

The associated original invoice for this invoice (only available for credit invoices)

#### paidAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The date and time when the invoice was paid.

#### payment ([Payment](/graphql-api/api-reference/objects/payment.md))

The associated payment for this invoice. Can be null if this order didn't require payment.

#### payments ([PaymentConnection](/graphql-api/api-reference/objects/payment-connection.md))

The payment instalments for the invoice

| Argument                                                        | Description                                                             |
| --------------------------------------------------------------- | ----------------------------------------------------------------------- |
| after ([String](/graphql-api/api-reference/objects/string.md))  | Returns the elements in the list that come after the specified cursor.  |
| before ([String](/graphql-api/api-reference/objects/string.md)) | Returns the elements in the list that come before the specified cursor. |
| first ([Int](/graphql-api/api-reference/objects/int.md))        | Returns the first *n* elements from the list.                           |
| last ([Int](/graphql-api/api-reference/objects/int.md))         | Returns the last *n* elements from the list.                            |

#### phoneNumber ([String](/graphql-api/api-reference/objects/string.md))

The customer's full international phone number stored on the invoice.

#### salutation ([String](/graphql-api/api-reference/objects/string.md))

The customer's salutation (mr,ms,mx) stored on the invoice.

#### state ([String](/graphql-api/api-reference/objects/string.md))

The customer's state stored on the invoice.

#### ~~status (~~[~~String~~](/graphql-api/api-reference/objects/string.md)~~!)~~

*`Deprecated: Use the 'invoice_status' field instead.`*

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md))

The associated subscription. Can be null in case of an archived subscription.

#### subscriptionId ([ID](/graphql-api/api-reference/objects/id.md)!)

ID of the associated subscription.

#### taxPercentage ([Float](/graphql-api/api-reference/objects/float.md))

The percentage of tax used for this invoice.

#### totalAmountCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total amount of invoice in cents.

#### totalTaxAmountCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total tax amount of invoice in cents.

#### zipcode ([String](/graphql-api/api-reference/objects/string.md))

The customer's postal code or zipcode stored on the invoice.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries/get-invoice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
